/*********************************************************************
 * ADODB.Stream֘ÃCu
 *  AdoEnums.js K{
 *  Common.js K{
 *  Date.js   K{
 *  FileSystem.js   K{
 * -------------------------------------------------------------------
 * 2013/07/26 VK쐬
 * -------------------------------------------------------------------
 * Copyright(C) 2013 ASANO, Sei (http://sei.qee.jp/docs/)
 *********************************************************************/
var adodbStream = {
	obj : { inStream : null, outStream : null }
}
adodbStream_initialize();
function adodbStream_initialize() {
	adodbStream.obj.inStream  = new ActiveXObject('ADODB.Stream');
	adodbStream.obj.outStream = new ActiveXObject('ADODB.Stream');
}
function adodbStream_finalize() {
	adodbStream.obj.inStream  = null;
	adodbStream.obj.outStream = null;
}
function adodbStream_readPlainText(fileFullName, noMake, encode, sep) {
	var array = new Array();

	//w肳ꂽt@C݂ȂANZXłȂꍇ
	if (!fileSystem.fso.FileExists(fileFullName)) {
		if (!noMake) fileSystem.fso.CreateTextFile(fileFullName);
		return array;
	}

	//w肳ꂽt@C݂ꍇ
	var stream = adodbStream.obj.inStream;
	stream.Type = adoEnums.streamType.adTypeText;
	stream.LineSeparator = (sep ? sep : adoEnums.lineSeparators.adCRLF);
	stream.Charset = (encode ? encode : adoEnums.streamCharset.UTF8);
	stream.Open();
	try {
		stream.LoadFromFile(fileFullName);
		stream.Position = 0;
		while (!stream.EOS) {
			array.push(stream.ReadText(adoEnums.streamRead.adReadLine));
		}
	} catch(e) {
		if (fileSystem.log.file) {
			fileSystem_writeLineLogFile(fullFileName);
			fileSystem_writeLineLogFileForException(e);
		}
	} finally {
		if (stream) stream.Close();
	}
	return array;
}
function adodbStream_writePlainText(fileFullName, lines, encode, sep) {
	var stream = adodbStream.obj.outStream;
	stream.Type = adoEnums.streamType.adTypeText;
	stream.LineSeparator = (sep ? sep : adoEnums.lineSeparators.adCRLF);
	stream.Charset = (encode ? encode : adoEnums.streamCharset.SJIS);
	stream.Open();
	try {
		for (var i=0 ; i<lines.length ; i++) {
			stream.WriteText(lines[i], adoEnums.streamWrite.adWriteLine);
		}
		stream.SaveTofile(fileFullName, adoEnums.saveOptions.adSaveCreateOverWrite);
		stream.Flush();
	} catch(e) {
		common_showMsg(common_getExceptionText(e));
	} finally {
		stream.Close();
	}
}
